summaryrefslogtreecommitdiffstats
path: root/needs-checking/join-patch
diff options
context:
space:
mode:
Diffstat (limited to 'needs-checking/join-patch')
-rwxr-xr-xneeds-checking/join-patch17
1 files changed, 16 insertions, 1 deletions
diff --git a/needs-checking/join-patch b/needs-checking/join-patch
index 493d434..5f89a99 100755
--- a/needs-checking/join-patch
+++ b/needs-checking/join-patch
@@ -1,4 +1,19 @@
-#!/bin/sh
+#! /bin/bash
+
+# This script is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License version 2 as
+# published by the Free Software Foundation.
+#
+# See the COPYING and AUTHORS files for more details.
+
+. patchfns 2>/dev/null ||
+. /usr/lib/patch-scripts/patchfns 2>/dev/null ||
+. $PATCHSCRIPTS_LIBDIR/patchfns 2>/dev/null ||
+{
+ echo "Impossible to find my library 'patchfns'."
+ echo "Check your install, or go to the right directory"
+ exit 1
+}
usage()
{